{% extends "layouts/base.html" %}

{% block title %} Dashboard {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}{% endblock stylesheets %}

{% block content %}
    {% for lesson in lessons %}
        <div class="col-12 col-sm-6 col-xl-4 mb-4">
            <div class="card border-light shadow-sm">
                <div class="card-body">
                    <div class="col-12 col-xl-5 mb-3 mb-xl-0 d-flex ">
                        <div class="d-sm-block">
                            <h2 class="h5">{{ lesson.date.day }} {{ lesson.get_month }}</h2>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="mt-4"><h2>{{ lesson.name }} {{ lesson.time_start }} - {{ lesson.time_end }}</h2>
                        </div>
                        <div class=" d-sm-block">
                            <h2 class="h5">{{ lesson.type }}</h2>
                        </div>
                        <div class="small mt-2">
                            <span class=" fw-bold">{{ lesson.room }}</span> {{ lesson.teacher }}
                        </div>
                        <div class="small mt-2">
                            <span class=" fw-bold">{{ lesson.theme }}</span>
                        </div>
                        <div class="small mt-2">
                            <span><a href='{{ lesson.dist }}'>{{ lesson.dist }}</a></span>
                        </div>
                        {% if perms.timetable.can_edit_lesson %}
                            <a  class="btn btn-default" href="{%  url 'edit_lesson' pk=lesson.pk %}"><span class="fas fa-edit me-2"></span>Редактировать</a>
                            <a  class="btn btn-default" href="{%  url 'active_lesson' pk=lesson.pk %}"><span class="fas fa-edit me-2"></span>Оценки</a>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}


{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}{% endblock javascripts %}
